import 'package:json_annotation/json_annotation.dart';

part 'compare_face_request.g.dart';

@JsonSerializable()
class CompareFaceRequest {
  final String deviceId;
  final String processId;
  final int id;
  final int asked;
  final String image;

  factory CompareFaceRequest.fromJson(Map<String, dynamic> json) => _$CompareFaceRequestFromJson(json);

  CompareFaceRequest({
    required this.deviceId,
    required this.processId,
    required this.id,
    required this.asked,
    required this.image,
  });

  Map<String, dynamic> toJson() => _$CompareFaceRequestToJson(this);
}
