import 'package:json_annotation/json_annotation.dart';

part 'create_session_model.g.dart';

@JsonSerializable()
class CreateSessionModel{
  final String? sessionId;
  final String? controlKey;
  final int? lifeTime;
  final List<int>? tasks;

  factory CreateSessionModel.fromJson(Map<String, dynamic> json) =>
      _$CreateSessionModelFromJson(json);

  CreateSessionModel({
    required this.sessionId,
    required this.controlKey,
    this.lifeTime,
    required this.tasks,
  });

  Map<String, dynamic> toJson() => _$CreateSessionModelToJson(this);
}
