part of 'soliq_id_bloc.dart';

abstract class SoliqIdState extends Equatable {
  const SoliqIdState();
}

class SoliqIdInitial extends SoliqIdState {
  @override
  List<Object> get props => [];
}

class SoliqIdAccountInfoSuccessState extends SoliqIdState {
  final AccountInfoResponse response;

  const SoliqIdAccountInfoSuccessState({
    required this.response,
  });

  @override
  List<Object?> get props => [response,];
}

class SoliqIdCreateSessionSuccessState extends SoliqIdState {
  final CreateSessionResponse response;

 const SoliqIdCreateSessionSuccessState({required this.response,});
  @override
  List<Object?> get props => [response,];
}

class SoliqIdProcessSuccessState extends SoliqIdState {
  final ProcessResponse response;

  const SoliqIdProcessSuccessState({required this.response});
  @override
  List<Object?> get props => [response,];
}

class SoliqIdCompareFaceSuccessState extends SoliqIdState {
  final ProcessResponse response;

  const SoliqIdCompareFaceSuccessState({required this.response,});

@override
  List<Object?> get props => [response,];
}



class SoliqIdPinflErrorState extends SoliqIdState{
  @override
  List<Object?> get props => [];
}

class SoliqIdPinflLoadingState extends SoliqIdState{
  @override
  List<Object?> get props => [];
}
